> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dome Config

> Delete a Dome configuration.



## OpenAPI

````yaml /openapi/api.json delete /v1/dome-configs/{config_id}
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/dome-configs/{config_id}:
    delete:
      tags:
        - Dome
        - dome-configs
      summary: Delete Dome Config
      description: Delete a Dome configuration.
      operationId: delete_dome_config_v1_dome_configs__config_id__delete
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Config Id
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Team ID (required)
            title: Team Id
          description: Team ID (required)
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````